Lavalite package that provides member management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/member`.

    "litepie/member": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Member\Providers\MemberServiceProvider::class,

And also add it to alias

    'Member'  => Litepie\Member\Facades\Member::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\MemberTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Member\Providers\MemberServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Member\Providers\MemberServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Member\Providers\MemberServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/member/{modulename}

**User**

    http://path-to-route-folder/user/member/{modulename}

**Public**

    http://path-to-route-folder/members


### API endpoints

**List**

    http://path-to-route-folder/api/user/member/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/member/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/member/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/member/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/member/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/member/{modulename}/{slug}
    METHOD: GET