<?php

// web routes  for member
Route::prefix('{guard}/member')->group(function () {
    Route::resource('member', 'MemberResourceController');
});

// Public routes for member
Route::get('members/', 'MemberPublicController@index');
Route::get('members/{slug?}', 'MemberPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MemberResourceController');
            });
            // Public routes for pages
            Route::get('members/', 'MemberPublicController@index');
            Route::get('members/{slug?}', 'MemberPublicController@show');
        }
    );
}


// web routes  for type
Route::prefix('{guard}/member')->group(function () {
    Route::resource('type', 'TypeResourceController');
});

// Public routes for type
Route::get('members/', 'TypePublicController@index');
Route::get('members/{slug?}', 'TypePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TypeResourceController');
            });
            // Public routes for pages
            Route::get('members/', 'TypePublicController@index');
            Route::get('members/{slug?}', 'TypePublicController@show');
        }
    );
}


// web routes  for membership
Route::prefix('{guard}/member')->group(function () {
    Route::resource('membership', 'MembershipResourceController');
});

// Public routes for membership
Route::get('members/', 'MembershipPublicController@index');
Route::get('members/{slug?}', 'MembershipPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MembershipResourceController');
            });
            // Public routes for pages
            Route::get('members/', 'MembershipPublicController@index');
            Route::get('members/{slug?}', 'MembershipPublicController@show');
        }
    );
}

