<?php

namespace Litepie\Member;

use User;

class Member
{
    /**
     * $member object.
     */
    protected $member;
    /**
     * $type object.
     */
    protected $type;
    /**
     * $membership object.
     */
    protected $membership;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Member\Interfaces\MemberRepositoryInterface $member,
        \Litepie\Member\Interfaces\TypeRepositoryInterface $type,
        \Litepie\Member\Interfaces\MembershipRepositoryInterface $membership)
    {
        $this->member = $member;
        $this->type = $type;
        $this->membership = $membership;
    }

    /**
     * Returns count of member.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.member.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->member->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\MemberUserCriteria());
        }

        $member = $this->member->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('member::' . $view, compact('member'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.type.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->type->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\TypeUserCriteria());
        }

        $type = $this->type->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('member::' . $view, compact('type'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.membership.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->membership->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\MembershipUserCriteria());
        }

        $membership = $this->membership->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('member::' . $view, compact('membership'))->render();
    }
}
