<?php

namespace Litepie\Member\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MemberTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Member\Models\Member $member)
    {
        return [
            'id'                => $member->getRouteKey(),
            'key'               => [
                'public'    => $member->getPublicKey(),
                'route'     => $member->getRouteKey(),
            ], 
            'type_id'           => $member->type_id,
            'name'              => $member->name,
            'email'             => $member->email,
            'password'          => $member->password,
            'api_token'         => $member->api_token,
            'remember_token'    => $member->remember_token,
            'designation'       => $member->designation,
            'photo'             => $member->photo,
            'user_id'           => $member->user_id,
            'user_type'         => $member->user_type,
            'deleted_at'        => $member->deleted_at,
            'url'               => [
                'public'    => trans_url('member/'.$member->getPublicKey()),
                'user'      => guard_url('member/member/'.$member->getRouteKey()),
            ], 
            'status'            => trans('app.'.$member->status),
            'created_at'        => format_date($member->created_at),
            'updated_at'        => format_date($member->updated_at),
        ];
    }
}