<?php

namespace Litepie\Member\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MembershipTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Member\Models\Membership $membership)
    {
        return [
            'id'                => $membership->getRouteKey(),
            'key'               => [
                'public'    => $membership->getPublicKey(),
                'route'     => $membership->getRouteKey(),
            ], 
            'title'             => $membership->title,
            'description'       => $membership->description,
            'details'           => $membership->details,
            'slug'              => $membership->slug,
            'user_id'           => $membership->user_id,
            'user_type'         => $membership->user_type,
            'deleted_at'        => $membership->deleted_at,
            'url'               => [
                'public'    => trans_url('member/'.$membership->getPublicKey()),
                'user'      => guard_url('member/membership/'.$membership->getRouteKey()),
            ], 
            'status'            => trans('app.'.$membership->status),
            'created_at'        => format_date($membership->created_at),
            'updated_at'        => format_date($membership->updated_at),
        ];
    }
}