<?php

namespace Litepie\Member\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TypeTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Member\Models\Type $type)
    {
        return [
            'id'                => $type->getRouteKey(),
            'key'               => [
                'public'    => $type->getPublicKey(),
                'route'     => $type->getRouteKey(),
            ], 
            'name'              => $type->name,
            'slug'              => $type->slug,
            'user_id'           => $type->user_id,
            'user_type'         => $type->user_type,
            'deleted_at'        => $type->deleted_at,
            'url'               => [
                'public'    => trans_url('member/'.$type->getPublicKey()),
                'user'      => guard_url('member/type/'.$type->getRouteKey()),
            ], 
            'status'            => trans('app.'.$type->status),
            'created_at'        => format_date($type->created_at),
            'updated_at'        => format_date($type->updated_at),
        ];
    }
}